/* File: /assets/css/style.css */

@import url('variables.css');
@import url('normalize.css');

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition: none;
    animation: none;
}

html {
    height: 100%;
    font-family: var(--font-family);
    font-size: var(--body-text-size);
}

body {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    background-color: var(--body-background-color);
    color: var(--body-text-color-main);
    line-height: var(--body-line-height);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: inherit;
    font-weight: var(--text-heading-font-weight);
    color: var(--color-blue-base);
}

h1 {
    font-size: var(--text-size-xl);
}

h2 {
    font-size: var(--text-size-xl);
}

h3 {
    font-size: var(--text-size-l);
}

h4 {
    font-size: var(--text-size-m);
}

h5 {
    font-size: var(--text-size-s);
    text-transform: uppercase;
}

a {
    color: var(--color-orange-base);
    text-decoration: none;
}

/* Button */

button {
    padding: 2px 6px;
    font-family: inherit;
    font-size: inherit;
    border: 1px solid var(--color-gray-base);
    cursor: pointer;
}

a.link-button {
    padding: 0 3px;
    font-family: inherit;
    font-size: var(--text-size-s);
    border: 1px solid var(--color-orange-base);
    cursor: pointer;
}

.small-button {
    padding: 0 3px;
    font-size: var(--text-size-s);
    white-space: nowrap;
}

.page-width {
    width: 100%;
    max-width: var(--page-width);
    margin-left: auto;
    margin-right: auto;
    padding-left: var(--spacing-m);
    padding-right: var(--spacing-m);
}

main {
    display: flex;
    flex-direction: column;
    flex: 1 0 auto;
    width: 100%;
    padding: var(--spacing-m) 0;
}

.main-content {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-m);
}

/* Header & Footer */

header {
    padding: var(--spacing-xs) 0;
    border-bottom: 1px solid var(--header-border-color);
    background-color: var(--header-background-color);
}

.header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

h1.text-logo a {
    font-size: var(--text-size-l);
    color: var(--header-text-color-base);
}

nav ul {
    list-style: none;
}

nav ul li a {
    color: var(--header-text-color-base);
}

/* Form & Data Display */
form {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: var(--spacing-s);
}

input[type="text"],
input[type="email"],
input[type="password"],
select,
textarea {
    padding: var(--spacing-xs);
    font-family: var(--form-input-font-family);
    font-size: var(--form-input-text-size);
    line-height: var(--form-input-text-line-height);
}

.form__container {
    max-width: 400px;
}

.form__field {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-xxs);
}

.data__container {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-xs);
}

.data__item {
    display: grid;
    grid-template-columns: 1fr;
}

label,
.data__label {
    font-size: var(--text-size-s);
    font-weight: var(--font-weight-semibold);
}

.option-label {
    font-size: var(--text-size-m);
    font-weight: var(--font-weight-normal);
}

.form__editor {
    padding-top: var(--spacing-xs);
    border-top: 1px dotted var(--color-gray-base);
}

@media (min-width: 768px) {
    .data__item {
        grid-template-columns: 1fr 3fr;
        gap: var(--spacing-m);
        align-items: baseline;
    }
}

/* Layout */

.columns-1-1,
.columns-1-2,
.columns-2-1 {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-m);
}

.columns-1-1>div,
.columns-1-2>div,
.columns-2-1>div {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-m);
    min-width: 0;
}

@media (min-width: 768px) {

    .columns-1-1,
    .columns-1-2,
    .columns-2-1 {
        flex-direction: row;
        gap: var(--spacing-l);
    }

    .columns-1-1>div,
    .columns-1-2>div:first-child,
    .columns-2-1>div:last-child {
        flex: 1;
    }

    .columns-1-2>div:last-child,
    .columns-2-1>div:first-child {
        flex: 2;
    }
}

.space-between {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.flex-row {
    display: flex;
    flex-direction: row;
    gap: var(--spacing-xxs);
    align-items: baseline;
}

.flex-row form {
    flex-shrink: 0;
    display: inline-flex;
    width: auto;
}

/* Others */

.editor-panel {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-m);
    padding: var(--spacing-l) var(--spacing-m);
    border: 1px solid var(--color-gray-base);
}

@media (min-width: 768px) {

    .editor-panel {
        align-self: flex-start;
    }
}

.report-message {
    border-left: 2px solid var(--color-blue-base);
    padding-left: var(--spacing-m);
}

.json {
    white-space: pre-wrap;
    word-break: break-all;
    font-size: var(--text-size-s);
}

.red-color {
    color: var(--color-red-base);
}

.green-color {
    color: var(--color-green-base);
}

.gray-color {
    color: var(--color-gray-base);
}

.green-button {
    color: var(--color-green-base);
    border-color: var(--color-green-base);
}

.red-button {
    color: var(--color-red-base);
    border-color: var(--color-red-base);
}

.term-content {
    display: flex;
    justify-content: center;
    text-align: center;
    font-size: var(--text-size-l);
    border: 1px dotted var(--color-gray-base);
    padding: var(--spacing-xs);
}

h2.page-heading {
    color: var(--color-black);
}

h3.container-heading {
    color: var(--color-blue-base);
}

h4.content-heading {
    color: var(--color-red-base);
}

.original-data__container {
    display: flex;
    flex-direction: column;
    padding: var(--spacing-m);
    gap: var(--spacing-s);
    background-color: var(--color-gray-light);
}

.original-data__heading {
    font-size: var(--text-size-m);
    font-weight: var(--font-weight-semibold);
    color: var(--color-blue-base);
}

.sentence__container {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-s);
}

.term-meaning__primary,
.sentence__primary {
    padding: 0 2px;
    font-size: var(--text-size-xs);
    background-color: var(--color-blue-base);
    color: var(--color-white);
}